<?php

  //
  // Re-hack of Howie's devices plugin for 0.87b
  //

function plugin_init_status() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['status'] = 'status_show_tab';
        $plugin_hooks['top_graph_header_tabs']['status'] = 'status_show_tab';

	$plugin_hooks['config_arrays']['status'] = 'status_config_arrays';
        $plugin_hooks['draw_navigation_text']['status'] = 'status_draw_navigation_text';

}

function status_config_arrays () {
        global $user_auth_realms, $user_auth_realm_filenames, $menu;
	$user_auth_realms[160]='Plugin -> Status: View';
        $user_auth_realm_filenames['status.php'] = 160;
}

function status_show_tab () {
        global $config, $user_auth_realm_filenames;
        $realm_id = 0;
        if (isset($user_auth_realm_filenames{basename('status.php')})) {
                $realm_id = $user_auth_realm_filenames{basename('status.php')};
        }
        if ((db_fetch_assoc("select user_auth_realm.realm_id
                from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
                and user_auth_realm.realm_id='$realm_id'")) || (empty($realm_id))) {
                print '<a href="' . $config['url_path'] . 'plugins/status/status.php"><img src="' . $config['url_path'] . 'plugins/status/images/tab_status';

                // if we're ON a status page, print '_red'
                if(preg_match('/plugins\/status\/status.php/',$_SERVER['REQUEST_URI'] ,$matches))
                {
                    print "_red";
                }
                print '.png" alt="Status" align="absmiddle" border="0"></a>';
        }
}


function status_draw_navigation_text ($nav) {
   $nav["status.php:"] = array("title" => "Status", "mapping" => "index.php:", "url" => "status.php", "level" => "1");
   return $nav;
}

function status_version () {
	return array( 'name' 	=> 'status',
                        'version'       => '0.1',
                        'longname'      => 'Status: Read-only Devices Tab',
                        'author'        => 'Ben Carbery',
                        'homepage'      => 'http://',
                        'email' 	=> 'ben.carbery@gmail.com',
                        'url'           => 'http://'
                        );
}

?>
